using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Keyless]
[Table("ATD_Test_Dates")]
public partial class AtdTestDate
{
    public int? InstanceId { get; set; }

    public int? DocumentId { get; set; }

    public int? RevNum { get; set; }

    [StringLength(255)]
    [Unicode(false)]
    public string? RevStatus { get; set; }

    [Column("MO_DY_YR", TypeName = "datetime")]
    public DateTime? MoDyYr { get; set; }

    [Column("MO_DY_YEAR", TypeName = "datetime")]
    public DateTime? MoDyYear { get; set; }

    [Column("YEAR_MO_DY", TypeName = "datetime")]
    public DateTime? YearMoDy { get; set; }

    [Column("DY_MON_YR", TypeName = "datetime")]
    public DateTime? DyMonYr { get; set; }

    [Column("DY_MON_YEAR", TypeName = "datetime")]
    public DateTime? DyMonYear { get; set; }
}
